/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package org.glassfish.websockets.api;

/**
 * This interface represents the protocol the web socket runtime uses to encode a
 * developer level message object of type T into a byte[]
 * for transmission 'on the wire'. Developers implement this
 * interface when they want to use custom message objects to send to
 * web socket clients.
 * @author dannycoward
 */
public interface BinaryEncoder<T> {
    /** The method the runtime will call to make the conversion.*/
    public byte[] encode(T data);
}
