/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package org.glassfish.websockets.api;


/**
 * The CloseEvent holds information about why the connection between
 * a peer and an endpoint is closed.
 * @author dannycoward
 */
public class CloseEvent {
    private boolean wasClean = true;
    private String reason;
    private int code;
    
    
    CloseEvent(boolean wasClean, String reason, int code) {
        this.wasClean = wasClean;
        this.reason = reason;
        this.code = code;
    }
    
    /** Return true iff the connection was closed cleanly. If the connection was closed after the peer
   finished the WebSocket closing handshake, then the WebSocket
   connection is said to have been closed cleanly.
     */
    public boolean wasClean() {
        return this.wasClean;
    }
    
    /** Return the reason for the connection closing.*/
    public String getReason() {
        return this.reason;
    }
    
    /** Return the code accompanying the connection close.*/
    public int getCode() {
        return this.code;
    }
    
}
