/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package org.glassfish.websockets.api;

import java.util.*;
/**
 * There is one instance of this object available to all the web sockets
 * in the runtime. For example, if the runtime is embedded in a web container,
 * there is one container context per web container. This object enables some basic querying of where the runtime 
 * is located in the URI space, and also contains a rudimentary place to
 * store data that can be shared between different web socket end points 
 * in the runtime.
 * @author dannycoward
 */
public interface ContainerContext {
    /** Basic transient storage of application data visible across the
     * runtime */
     
    public Map getProperties();
    /** Return the URI to this runtime.*/
    public String getPath();
    /** Return the port on which this runtime support web sockets */
    public int getPort();
    /** Return the protocol used: ws or wss */
    public String getProtocol();
    /** For dynamically registering end points.*/
    public void deploy(WSEndpoint endpoint, String path);
    
    
}
