/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package org.glassfish.websockets.api;

/**
 * This interface represents the protocol the web socket runtime uses to decode a String coming
 * 'off the wire' into a developer level message object of type T. Developers implement this
 * interface when they want receive web socket messages in the form of custom message objects.
 * Custom decoders may choose whether they wish to decode the message or not. If they choose to
 * decode the message, they will be asked to. If they do not, they will not be asked to.
 * @author dannycoward
 */
public interface TextDecoder<T> {
    /** Decode the incoming String parameter into an instance of the custom type.*/
    public T decode(String s) throws ConversionException;
    /** Decide whether you will decode the incoming String message.*/
    public boolean willDecode(String s);
}
