
package org.glassfish.websockets.api.annotations;

import java.lang.annotation.*;

/**
 * Method level annotation indicating that this Java method will be called on an end point class 
 * when the connection to this web socket is closed. 
 * The single parameter of the method this annotation decorates must be of type WSRemote 
 * or any application specific subtype of this interface.<br>
 * For example: <br>
 * <p>
 * <code><quoted>&nbsp&nbsp&nbsp@WebSocketClose<br>
 * public void handleLeavingChat(WSRemote remote) {<br>
 * &nbsp&nbsp&nbsp// clean up for chat client leaving<br>
 * }<br>
 * </code>
 * @author dannycoward
 */
@Retention(RetentionPolicy.RUNTIME)

public @interface WebSocketClose {

}