/*
 * To change this template, choose Tools | Templates and open the template in
 * the editor.
 */
package org.glassfish.websockets.api.annotations;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;

/**
 * Method level annotation indicating that this Java method will be called on an end point class 
 * when an error occurs in the web socket connection. 
 * The single parameter of the method this annotation decorates must be of type Exception..<br>
 * For example: <br>
 * <p>
 * <code>
 *  &nbsp&nbsp&nbsp@WebSocketError<br>
    public void handleError(Exception e) {<br>
    &nbsp&nbsp&nbsp// handle the error here<br>
    }
 * </code>
 * @author dannycoward
 */
@Retention(RetentionPolicy.RUNTIME)
public @interface WebSocketError {
}
