package org.glassfish.websockets.api.annotations;

import java.lang.annotation.*;

/**
 * Method level annotation indicating that this Java method will be called on an end point class 
 * when the connection to this web socket is first opened. 
 * The single parameter of the method this annotation decorates must be of type WSRemote 
 * or any application specific subtype of this interface.<br>
 * For example: <br>
 * <p>
 * <code>&nbsp&nbsp&nbsp@WebSocketClose<br>
 * public void handleClientJoining(WSRemote remote) {
 * <br>&nbsp&nbsp&nbsp// code handling a new web socket <br>
 * &nbsp&nbsp&nbsp// client joining this session<br>
 * }<br>
 * </code>
 * @author dannycoward
 */
@Retention(RetentionPolicy.RUNTIME)
public @interface WebSocketOpen {

}
